<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Namespace Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all namespace members with links to the namespace documentation for each member:</div>

<h3><a id="index_o"></a>- o -</h3><ul>
<li>OBJECT1
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#aac8f7f8ffeb9e659de3b6da5f98befbd">alexaClientSDK::avsCommon::utils::configuration::test</a>
</li>
<li>OBJECT1_1
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#affcf45a6f3476dcba382a47a144cdbc6">alexaClientSDK::avsCommon::utils::configuration::test</a>
</li>
<li>OBJECT2
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#ad4b30f73e11c961daaaca3c57eac239f">alexaClientSDK::avsCommon::utils::configuration::test</a>
</li>
<li>OBJECT2_1
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#aff1a80a7e72b851ac66a3a2e6228078c">alexaClientSDK::avsCommon::utils::configuration::test</a>
</li>
<li>OBJECT_PATH_ROOT
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a61faec2d574929f2c405c12e5c25755a">alexaClientSDK::bluetoothImplementations::blueZ</a>
</li>
<li>OCTET_MIME_TYPE
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils.html#ac61ca68afbad2308882b6206dfa1cb9b">alexaClientSDK::avsCommon::utils::libcurlUtils</a>
</li>
<li>OFFSET()
: <a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ab315a97aa709149c52e8bb874899463b">alexaClientSDK::mediaPlayer::test</a>
</li>
<li>OFFSET_IN_CHRONO_MILLISECONDS_TEST
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a10122384d6819b1d6cdf8c64f6dd9996">alexaClientSDK::capabilityAgents::speechSynthesizer::test</a>
</li>
<li>OFFSET_IN_MILLISECONDS_AFTER_PROGRESS_REPORT_DELAY
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a8950b59f280a1e9ddf42bbd2ea2351b0">alexaClientSDK::capabilityAgents::audioPlayer::test</a>
</li>
<li>OFFSET_IN_MILLISECONDS_AFTER_PROGRESS_REPORT_INTERVAL
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a54a2f82366ffface154f4b71739c89c2">alexaClientSDK::capabilityAgents::audioPlayer::test</a>
</li>
<li>OFFSET_IN_MILLISECONDS_BEFORE_PROGRESS_REPORT_DELAY
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a8d668e51c773c8d5dac4ec09e0f24b31">alexaClientSDK::capabilityAgents::audioPlayer::test</a>
</li>
<li>OFFSET_IN_MILLISECONDS_BEFORE_PROGRESS_REPORT_INTERVAL
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a475fec6755a2b5b8a2d7e68fc2d780d1">alexaClientSDK::capabilityAgents::audioPlayer::test</a>
</li>
<li>OFFSET_IN_MILLISECONDS_TEST
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a230131386220b01caca0a6ebb93531bb">alexaClientSDK::capabilityAgents::audioPlayer::test</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a0d2dfdea95061b20d9fcc66f13833c9d">alexaClientSDK::capabilityAgents::speechSynthesizer::test</a>
</li>
<li>OFFSET_KEY
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html#abd4651cf01e0293622083dd7822c423a">alexaClientSDK::capabilityAgents::audioPlayer</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a2f23c1febfe4b4ff38ab60073e91d194">alexaClientSDK::capabilityAgents::audioPlayer::test</a>
</li>
<li>OFFSET_TEST_DELAY
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a163033db07f62564e427d62c2cefaced">alexaClientSDK::capabilityAgents::audioPlayer::test</a>
</li>
<li>OFFSET_TEST_INTERVAL
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a64974d08a461644eaf4349ada1f73be9">alexaClientSDK::capabilityAgents::audioPlayer::test</a>
</li>
<li>OK
: <a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a091908d2e9931dcf16819bd967de7e70abb28ede30a579087c7758bc0104523d6">alexaClientSDK::sampleApp</a>
</li>
<li>ONE_HUNDRED_MILLISECOND_DELAY
: <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ae2d7fee5bd96d79a5777322a9d872f6d">alexaClientSDK::acl::transport::test</a>
</li>
<li>onNameAcquired()
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#af178a93ae2ad92d894ea619f63925ae7">alexaClientSDK::bluetoothImplementations::blueZ::test</a>
</li>
<li>onNameLost()
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#aad84bdbb5fcf9445d5d029f40bd3c62c">alexaClientSDK::bluetoothImplementations::blueZ::test</a>
</li>
<li>openSQLiteDatabase()
: <a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a268b749423c787170850ae55fb589f74">alexaClientSDK::storage::sqliteStorage</a>
</li>
<li>openSQLiteDatabaseHelper()
: <a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a2a47474bfa8db0122931396d744703ca">alexaClientSDK::storage::sqliteStorage</a>
</li>
<li>OPERATIONS
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#aa95082394785cfa25dcd441a3924a3f1">alexaClientSDK::avsCommon::avs::externalMediaPlayer</a>
</li>
<li>operator!=()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a67ce8e73cf4437262ea207c998657f9c">alexaClientSDK::avsCommon::avs</a>
</li>
<li>operator&lt;&lt;()
: <a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a2fa363fbf0864cee86273f59ecc4ea8e">alexaClientSDK::acl</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment.html#a149fd710eabcba9dc116fc220c326fa7">alexaClientSDK::avsCommon::avs::attachment</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a7c03504af12853a6a16d7f525a0f906b">alexaClientSDK::avsCommon::avs</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aa41e8bf5cdca313769fd238ec8df92f8">alexaClientSDK::avsCommon::sdkInterfaces::audio</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth.html#ae517e724c83cfa90e33118b3301ea03e">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#ad00c4c77077015a4fe3ddb9e7965dd64">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a379b88faa712291cb1064f972ef6298b">alexaClientSDK::avsCommon::sdkInterfaces</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a8cb00616201a3e3a4df8ea0dccb6f32f">alexaClientSDK::avsCommon::utils::http2</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#afa49cf0919a290d9a2932bea3de642b7">alexaClientSDK::avsCommon::utils::http</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#a897d15d66f540d6a324462f98ddbcdee">alexaClientSDK::avsCommon::utils::json::jsonUtils</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aad0674cce8aff8a1a5ee6f7cfebbbd5c">alexaClientSDK::avsCommon::utils::logger</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ad3048e030f0a324bac28bb0be757bcf2">alexaClientSDK::avsCommon::utils::mediaPlayer</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a241bf7b99d7428c635afc57025e8b8af">alexaClientSDK::avsCommon::utils</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#a2f0858ab757f68fc68c8a412162671b8">alexaClientSDK::avsCommon::utils::playlistParser</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#afab29902b2ec236decae54c3dfb901c5">alexaClientSDK::bluetoothImplementations::blueZ</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a9bba266e6b0d85bbcc952295c1370bc1">alexaClientSDK::capabilityAgents::aip</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a60c128bd61e5d52fb1a0fa6a0ac67739">alexaClientSDK::capabilityAgents::alerts</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer.html#a3d599de7116bc9b4a6e459fb9c436e6a">alexaClientSDK::capabilityAgents::alerts::renderer</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html#a17b0b8039f00625f17cc56209a5e93a2">alexaClientSDK::capabilityAgents::audioPlayer</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6a9c63b3cc8c094ae74c7abf2ee5afc7">alexaClientSDK::capabilityAgents::notifications</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a5db784eab7caecdf362454a1ccf58584">alexaClientSDK::capabilityAgents::playbackController</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a0c67b3f5ace99b1e8470bff5ed18d6c2">alexaClientSDK::mediaPlayer::android</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a0666321c8d1799f83715978b41d8153c">alexaClientSDK::settings::test</a>
</li>
<li>operator==()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a328cbb36f3a115ed3e1346f0eca02004">alexaClientSDK::avsCommon::avs</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a706d31c0871558653a14349fe34dd2e1">alexaClientSDK::avsCommon::sdkInterfaces::audio</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a046a0dbfe7293f4d8318d45fb7dec17b">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer</a>
</li>
<li>operator&gt;&gt;()
: <a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a5de9756f3535c2c45bd4cbe6dab30df2">alexaClientSDK::settings::test</a>
</li>
<li>OtherTypes
: <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a1681b824bd729f3b7dccfe26581ea3e9">alexaClientSDK::settings</a>
</li>
<li>outboundRingtoneFactory()
: <a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio.html#a57c962800953b3cf721d43f0199b3503">alexaClientSDK::applicationUtilities::resources::audio</a>
</li>
<li>output
: <a class="el" href="namespaceandroid__test.html#ad0a45e5419564853c660edcc90a31a7a">android_test</a>
</li>
<li>OUTPUT_DEFAULT_INT_VALUE
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#af09ff1ab647535b0910f7867eb36da41">alexaClientSDK::avsCommon::utils::json::test</a>
</li>
<li>OUTPUT_DEFAULT_TEXT_STRING
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a652a763f35fe28b554d9e364410bc6e2">alexaClientSDK::avsCommon::utils::json::test</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
